# $Revision: 1.6 $, $Date: 2002/07/11 12:17:41 $
Summary:	Mouse Gestures
Summary(pl):	Obsuga gestw
Name:		mozilla-addon-gestures
%define		_realname	mozgest
Version:	0.3.4
%define	fver	%(echo %{version} | tr . _)
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://optimoz.mozdev.org/gestures/%{_realname}_%{fver}.xpi
Source1:	%{_realname}-installed-chrome.txt
Source3:	http://surfmind.com/mozgest/optimoz_poster.jpg
Patch0:		mozgest-polish.patch
URL:		http://optimoz.mozdev.org/gestures/
BuildRequires:	unzip
BuildRequires:	zip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _chromedir      %{_libdir}/mozilla/chrome

%description
Gestures support for Mozilla.

%description -l pl
Obsuga gestw dla Mozilli.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

cd %{_realname}
zip -r -9 -m ../%{_realname}.jar ./
cd -
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE3} $RPM_BUILD_ROOT
install %{_realname}.jar $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt
%doc $RPM_BUILD_ROOT/optimoz_poster.jpg

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-gestures.spec,v $
Revision 1.6  2002/07/11 12:17:41  jojoro
- cosmetics

Revision 1.5  2002/07/04 15:56:32  jojoro
- polish translation added (from http://mozillapl.sf.net)
- moving from unpacked directory into single .jar file
- simple documentation added
- rel 3

Revision 1.4  2002/06/23 18:35:25  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.3  2002/06/23 16:11:10  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:39  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/20 21:11:00  jojoro
- initial release
